/* 
 * File:   uart.h
 * Author: Filipe
 *
 * Created on 30 de Abril de 2018, 14:43
 */

#ifndef UART_H
#define	UART_H

#ifdef	__cplusplus
extern "C" {
#endif
    
#define UART_BUFFER_SIZE    200  
    
extern unsigned int indexW, indexR, eltNb;
extern unsigned char uartBuffer[UART_BUFFER_SIZE];
extern char strTmp[UART_BUFFER_SIZE];
    
#define uartPutC(c) DRV_USART0_WriteByte(c);

char uartGetC(void);

void uartPutS(const char* stringToSend);

void uartGetS(char* rxString);


#ifdef	__cplusplus
}
#endif

#endif	/* UART_H */

